-- Update the status of the 'deleted' users to 'validated'
-- A user that has deleted his account was previously in the 'validated' state.
UPDATE `user_details` 
    SET `status`='validated' WHERE `status`='deleted';

-- Move the `status` column from the `user_details` table to the `platform_credentials` table without the "deleted" possible value (Only a platform account needs to be validated.)
-- Add the `registrationDate` column in the `platform_credentials` table.
ALTER TABLE `platform_credentials` 
    ADD COLUMN `status` enum('created', 'validated', 'suspended') NOT NULL DEFAULT 'created',
    ADD COLUMN `registrationDate` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP;
UPDATE `platform_credentials`, `user_details` 
    SET `platform_credentials`.`status` = `user_details`.`status` 
    WHERE `platform_credentials`.`userId`=`user_details`.`userId`;
-- For legacy accounts initialize the `registrationDate` with the `creationDate` of the account
UPDATE `platform_credentials`, `user_details` 
    SET `platform_credentials`.`registrationDate` = `user_details`.`creationDate` 
    WHERE `platform_credentials`.`userId`=`user_details`.`userId`;

-- Delete the `status` column from the `user_details` table
ALTER TABLE `user_details` DROP COLUMN `status`;
