ALTER TABLE `products` RENAME TO `sites`;

ALTER TABLE `sites` CHANGE `productId` `siteId` int NOT NULL AUTO_INCREMENT;
ALTER TABLE `deployments` CHANGE `productId` `siteId` int NOT NULL;

ALTER TABLE `sites` DROP COLUMN `product`;

ALTER TABLE `sites` DROP INDEX `name`;

-- WHF-140 Add a new column to the 'products' table that will inform if the comments are moderated or not
ALTER TABLE `sites` ADD `commentsModeration` enum('all', 'none') NOT NULL DEFAULT 'all';

-- WHF-194 Add option to choose if anonymous login is allowed
ALTER TABLE `sites` ADD `allowAnonymous` BOOLEAN DEFAULT TRUE NOT NULL;

-- WHF-460 Add column to store the site logo image.
ALTER TABLE `sites` ADD `logo` VARCHAR(512);